Bug 1255447 - Auto-generated kickstart fails with "ValueError: No closing quotation"
Auto-generated kickstart fails with "ValueError: No closing quotation"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F23BetaFreezeException
  Show dependency treegraph
 
Reported: 2015-08-20 11:18 EDT by Paul Whalen
Modified: 2015-09-03 23:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.13-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 23:24:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2015-08-20 11:18:39 EDT
Description of problem:

Auto-generated anaconda.cfg includes conflicting commands 'autopart' and 'reqpart' which fail when used as a kickstart in subsequent installs. 


Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1. Perform an interactive install, use autogenerated anaconda.cfg as a kickstart.


Actual results:

Starting installer, one moment...
Traceback (most recent call last):
  File "/sbin/anaconda", line 796, in <module>
    from pyanaconda import geoloc
  File "/usr/lib/python3.4/site-packages/pyanaconda/geoloc.py", line 102, in <module>

    from pyanaconda.iutil import requests_session
  File "/usr/lib/python3.4/site-packages/pyanaconda/iutil.py", line 47, in <module>

    from pyanaconda.flags import flags
    flags = Flags()
  File "/usr/lib/python3.4/site-packages/pyanaconda/flags.py", line 87, in __init__
    self.cmdline = BootArgs()
  File "/usr/lib/python3.4/site-packages/pyanaconda/flags.py", line 114, in __init__
    self.read(cmdline_files)
  File "/usr/lib/python3.4/site-packages/pyanaconda/flags.py", line 137, in read
  File "/usr/lib/python3.4/site-packages/pyanaconda/flags.py", line 114, in __init__

    self.readstr(open(f).read())
  File "/usr/lib/python3.4/site-packages/pyanaconda/flags.py", line 156, in readstr
    lst = shlex.split(cmdline)
  File "/usr/lib/python3.4/shlex.py", line 276, in split
    return list(lex)
  File "/usr/lib/python3.4/shlex.py", line 266, in __next__
    token = self.get_token()
  File "/usr/lib/python3.4/shlex.py", line 93, in get_token
    raw = self.read_token()
  File "/usr/lib/python3.4/shlex.py", line 169, in read_token
    raise ValueError("No closing quotation")
ValueError: No closing quotation


Expected results:
Successful install. 

Additional info:

[root@mustang ~]# ksvalidator anaconda-ks.cfg 
The following problem occurred on line 31 of the kickstart file:

The autopart and reqpart commands can't be used at the same time

Commenting out 'reqpart' worked as expected.
Comment 1 David Shea 2015-08-20 11:24:41 EDT
What version of anaconda and pykickstart generated the file?
Comment 2 Paul Whalen 2015-08-20 11:33:41 EDT
Sorry- this is F23-Alpha:

pykickstart-2.11-1.fc23
anaconda 23.17-1
Comment 3 Chris Lumens 2015-08-20 11:34:47 EDT
We need to get pykickstart-2.12 pulled in, then.
Comment 4 Paul Whalen 2015-08-20 12:03:43 EDT
Proposed as a Freeze Exception for 23-beta

As noted above, should be fixed in pykickstart-2.12 adding as FE to ensure it gets pulled in.
Comment 5 Fedora Update System 2015-08-20 15:19:31 EDT
pykickstart-2.13-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1255447
Comment 6 Fedora Update System 2015-08-22 12:25:14 EDT
pykickstart-2.13-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update pykickstart'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13845
Comment 7 Adam Williamson 2015-08-24 12:54:32 EDT
Discussed at 2015-08-24 freeze exception review meeting: http://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-08-24/f23-blocker-review.2015-08-24-16.03.log.txt . Accepted as an FE, obviously cannot be fixed with an update and we expect the generated kickstarts to work.
Comment 8 Fedora Update System 2015-09-03 23:24:46 EDT
pykickstart-2.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.